Sandbox Mode
curl --request POST \
--url https://api.example.com/merchant/sandboximport requests
url = "https://api.example.com/merchant/sandbox"
response = requests.post(url)
print(response.text)const options = {method: 'POST'};
fetch('https://api.example.com/merchant/sandbox', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": false,
"error": {
"status": 401,
"code": "UNAUTHORISED",
"message": "Invalid API key"
},
"data": null
}
Utilities
Sandbox Mode
Toggle sandbox mode for testing
POST
/
merchant
/
sandbox
Sandbox Mode
Toggle sandbox mode for testing your integration.
boolean
required
Whether to enable sandbox mode
boolean
Indicates if the request was successful
object
Sandbox mode status
Example Request
curl -X POST https://api.transaction.gg/merchant/sandbox \
-H "Authorization: Bearer sk_your_secret_key" \
-H "Content-Type: application/json" \
-d '{
"sandboxMode": true
}'
Example Response
{
"success": true,
"data": {
"sandboxMode": true,
"message": "Sandbox mode enabled"
}
}
Error Responses
{
"success": false,
"error": {
"status": 401,
"code": "UNAUTHORISED",
"message": "Invalid API key"
},
"data": null
}
⌘I